Summary: 	The PPP (Point-to-Point Protocol) daemon with MPPE support.
Name: 		ppp
Version: 	2.4.3
Release: 	3
License: 	distributable
Group: 		System Environment/Daemons
Source0: 	ftp://ftp.samba.org/pub/ppp/%{name}-%{version}.tar.gz
Source1: 	ppp-2.3.5-pamd.conf
Source2:	ppp-2.4.3-filter-depends-gd-1.sh
Patch0: 	ppp-2.4.3-Makefile-gd-1.diff
Patch1:		ppp-2.4.3-64bit-libcrypt-gd-1.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: 	/etc/pam.d/system-auth

%define	__perl_requires	%{SOURCE2}

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon and
documentation for PPP support.  The PPP protocol provides a method for
transmitting datagrams over serial point-to-point links. PPP is
usually used to dial in to an ISP or other organization over a modem 
and phone line.

Additionally, this RPM supports MSChap-v2 and MPPE for 128-bit encrypted
PPTP tunnels from MS workstations.

%files
  %defattr(0444,root,root,0555)
  %doc README README.MPPE README.linux scripts
  %doc %{_mandir}/man8/*

  %attr(0500,root,root)		%{_sbindir}/*
  %attr(0500,root,root)		/%{_lib}/pppd/%{version}/*.so

  %attr(0600,root,root)		%config %{_sysconfdir}/ppp/chap-secrets
  %attr(0600,root,root)		%config %{_sysconfdir}/ppp/options
  %attr(0600,root,root)		%config %{_sysconfdir}/ppp/pap-secrets
  %attr(0644,root,root)		%config %{_sysconfdir}/pam.d/ppp

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

  find . -type f -name "*.sample" | xargs rm -f 

%build
  %configure
  make %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

  rm -f scripts/secure-card

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/{pam.d,ppp}

  make install DESTDIR=$RPM_BUILD_ROOT   \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir}

  for i in etc.ppp/*
  do
    install $i $RPM_BUILD_ROOT/%{_sysconfdir}/ppp
  done

  install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/ppp

  # Put the man pages where they belong.
  mv $RPM_BUILD_ROOT/%{_mandir}/*.8 $RPM_BUILD_ROOT/%{_mandir}/man8

%ifarch x86_64
  mkdir $RPM_BUILD_ROOT/%{_lib}
  mv $RPM_BUILD_ROOT/lib/*            $RPM_BUILD_ROOT/%{_lib}
%endif

  # Remove unpackaged files
  rm -fr $RPM_BUILD_ROOT/include

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 12 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.3, Release 3
  - Look for libcrypt in /usr/lib64.

* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.3, Release 2
  - x86_64 support.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.4.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
